package com.ruoyi.project.ehs.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TMatterProtectMapper;
import com.ruoyi.project.ehs.domain.TMatterProtect;
import com.ruoyi.project.ehs.service.ITMatterProtectService;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2021-09-23
 */
@Service
public class TMatterProtectServiceImpl implements ITMatterProtectService {
    @Autowired
    private TMatterProtectMapper tMatterProtectMapper;

    @Override
    public List<TMatterProtect> queryByIds(String[] ids) {
        return this.tMatterProtectMapper.queryByIds(ids);
    }

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public TMatterProtect selectTMatterProtectById(Long id) {
        return tMatterProtectMapper.selectTMatterProtectById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tMatterProtect 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TMatterProtect> selectTMatterProtectList(TMatterProtect tMatterProtect) {
        return tMatterProtectMapper.selectTMatterProtectList(tMatterProtect);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param tMatterProtect 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTMatterProtect(TMatterProtect tMatterProtect) {
        return tMatterProtectMapper.insertTMatterProtect(tMatterProtect);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param tMatterProtect 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTMatterProtect(TMatterProtect tMatterProtect) {
        return tMatterProtectMapper.updateTMatterProtect(tMatterProtect);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteTMatterProtectByIds(Long[] ids) {
        return tMatterProtectMapper.deleteTMatterProtectByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteTMatterProtectById(Long id) {
        return tMatterProtectMapper.deleteTMatterProtectById(id);
    }
}
